Bug 253745 - deskutils/coolreader: fix build
Summary: deskutils/coolreader: fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-21 16:37 UTC by Olga Smirnova
Modified: 2021-02-23 07:14 UTC (History)
1 user (show)

See Also:


Attachments
Makefile patch (460 bytes, patch)
2021-02-21 16:37 UTC, Olga Smirnova
mistresssilvara: maintainer-approval+
Details | Diff
pkg-plist (458 bytes, patch)
2021-02-22 23:58 UTC, Olga Smirnova
mistresssilvara: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olga Smirnova 2021-02-21 16:37:56 UTC
Created attachment 222702 [details]
Makefile patch

Please commit the fix for the Coolreader build.
Comment 1 Fernando Apesteguía freebsd_committer 2021-02-22 12:53:47 UTC
(In reply to Olga Smirnova from comment #0)

For which FreeBSD version does this patch fix the build?
Comment 2 Olga Smirnova 2021-02-22 17:08:04 UTC
For all of them.
Comment 3 Fernando Apesteguía freebsd_committer 2021-02-22 17:33:09 UTC
There are some plist issues:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: @dir share/cr3/hyph/obsolete
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1
Comment 4 Olga Smirnova 2021-02-22 23:38:36 UTC
Those are bogus. Is 'check-plist' mandatory for building a package successfully?
Comment 5 Olga Smirnova 2021-02-22 23:58:34 UTC
Created attachment 222734 [details]
pkg-plist

If it is mandatory, here's the patch for the plist.
Comment 6 Fernando Apesteguía freebsd_committer 2021-02-23 07:10:04 UTC
(In reply to Olga Smirnova from comment #5)

The port installed files which were not registered in the pkg-plist, and hence the error. The builders use poudriere to build packages, so the package as it was before the pkg-plist patch, would not build either.

As a rule, it is a very good idea to use poudriere to test the port (https://docs.freebsd.org/en/books/porters-handbook/#testing). Other tools like portlint and portclippy are in general good too (at least to my taste).

Thanks for the patches!
Comment 7 Fernando Apesteguía freebsd_committer 2021-02-23 07:14:07 UTC
Committed,

Thanks!
Comment 8 commit-hook freebsd_committer 2021-02-23 07:14:28 UTC
A commit references this bug:

Author: fernape
Date: Tue Feb 23 07:13:57 UTC 2021
New revision: 566378
URL: https://svnweb.freebsd.org/changeset/ports/566378

Log:
  deskutils/coolreader: Unbreak build

  PR:	253745
  Submitted by:	mistresssilvara@hotmail.com (maintainer)

Changes:
  head/deskutils/coolreader/Makefile
  head/deskutils/coolreader/pkg-plist